Bug 532521 - Review request: trove4j - High performance collections for Java
Review request: trove4j - High performance collections for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
: Reopened
: 504891 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-02 13:00 EST by Mary Ellen Foster
Modified: 2010-05-05 23:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: trove4j-2.1.0-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 03:26:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
guido.grazioli: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-11-02 13:00:41 EST
Spec URL: http://www.macs.hw.ac.uk/~mef3/review/gnu-trove.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/review/gnu-trove-2.1.0-1.fc12.src.rpm
Description:
The GNU Trove library has two objectives: 

Provide "free" (as in "free speech" and "free beer"), 
fast, lightweight implementations of the java.util 
Collections API. These implementations are designed 
to be pluggable replacements for their JDK equivalents. 

Whenever possible, provide the same collections support 
for primitive types. This gap in the JDK is often 
addressed by using the "wrapper" classes 
(java.lang.Integer, java.lang.Float, etc.) with 
Object-based collections. For most applications, however, 
collections which store primitives directly will require 
less space and yield significant performance gains. 



This package was imported from JPackage
Comment 1 Jason Tibbitts 2009-11-02 15:25:08 EST
A dup of bug 504891?
Comment 2 Jason Tibbitts 2009-11-10 15:08:30 EST
I'm somewhat disappointed that there's been no response; what's the point of dumping so many packages on the reviewers if their comments will be ignored?

In the absence of other guidance, I'll go ahead and close this as a dup.

*** This bug has been marked as a duplicate of bug 504891 ***
Comment 3 Mary Ellen Foster 2009-11-17 05:29:34 EST
*** Bug 504891 has been marked as a duplicate of this bug. ***
Comment 4 Mary Ellen Foster 2009-11-17 05:30:33 EST
Following feedback in the other bug, I've closed it as a duplicate of this one instead. I'll incorporate changes from and comments on that package into this one shortly.
Comment 5 Mary Ellen Foster 2009-11-17 09:26:40 EST
New packages here:

Spec URL: http://www.macs.hw.ac.uk/~mef3/review/trove4j.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/review/trove4j-2.1.0-2.fc12.src.rpm

Changelog:
- Rename to trove4j
- Re-add GCJ stuff per discussion on fedora-java-devel-list
- Link javadoc to unversioned directory
- Fix License tag and include all documentation
Comment 6 Guido Grazioli 2009-11-17 11:04:45 EST
Is the jboss stuff relevant in Fedora or just a jpackage feature? I think you should at least enclose the repolib package building inside a conditional, or drop it. 

About maven, are you missing the installation of the pom file? (is maven used at all in building?).

Other notes:
- change %define-s with %global-s
- you are missing BuildRequire: java-devel and Require: java
- better use name and version macros in Source0
- is there a reason why you dont run junit tests?
- -repolib subpackage should not own %{_javadir}/repository.jboss.com , but %{repodir}
Comment 7 Guido Grazioli 2010-01-12 13:57:57 EST
ping?
Comment 8 Mary Ellen Foster 2010-02-10 09:15:05 EST
Growl, dammit, sorry -- will get to this asap
Comment 9 Alexander Kurtakov 2010-02-10 09:17:32 EST
AFAIK, jboss is moving away of repolib and because of this repolib packages should not enter Fedora.
Comment 10 Mary Ellen Foster 2010-02-11 12:09:17 EST
Sorry about that -- here's a new version. Changes:
- Remove jboss stuff
- Remove maven depmap stuff -- it doesn't seem to provide a POM
- Run tests as part of build
- Make javadoc package noarch

Spec URL: http://www.macs.hw.ac.uk/~mef3/review/trove4j.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/review/trove4j-2.1.0-3.fc12.src.rpm
Comment 11 Guido Grazioli 2010-03-05 14:36:39 EST
NEEDSWORK - The package MUST successfully compile and build
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2033734

The build failed during junit tests. Please find the cause of the problem, and eventually skip junit tests in case it can be ignored.

OK - rpmlint output:
1 packages and 1 specfiles checked; 0 errors, 4 warnings.
trove4j.src: W: spelling-error %description -l en_US util -> til, until, u til
trove4j.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
trove4j.src: W: spelling-error %description -l en_US lang -> Lang, lag, slang
- Can ignore those.
trove4j.src:139: W: libdir-macro-in-noarch-package (main package) %attr(-,root,root) %{_libdir}/gcj/%{name}
- This one too (its inside %if %{with_gcj} conditional)
OK - The package must be named according to the Package Naming Guidelines (discussion about naming in bug 504891).
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines (Java: good - GCJ: good)
OK - If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc
OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is LGPLv2+ and MIT)
OK - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun 
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible.
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL. 
09375a0b74eb8560270331239d2f94c3  trove-2.1.0.tar.gz
NA - The spec file MUST handle locales properly 
NA - package not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section
OK - Each package must consistently use macros
NA - The package must contain code, or permissable content (no content)
OK - Large documentation files must go in a -doc subpackage (-javadoc package)
OK - If a package includes something as %doc, it must not affect the runtime of
the application
NA - Header files must be in a -devel package
NA - Static libraries must be in a -static package (no static package)
NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK - Packages must NOT contain any .la libtool archives
NA - Packages containing GUI applications MUST include a .desktop file 
OK - No file conflicts with other packages and no general names.
OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK - All filenames in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate.
OK - %{?dist} tag is used in release    

ADDITIONAL NOTE:

Looking at Java Guidelines, it seems that specifying Require: java version is mandatory, while it is optional for BuildRequires.
BuildRequires: java-devel [>= specific_version] 
BuildRequires:  jpackage-utils
Requires:  java >= specific_version
Requires:  jpackage-utils

I think its safe for this package, so ill leave up to you whether to fix it or not.
Comment 12 Alexander Kurtakov 2010-03-05 14:56:44 EST
Please consider removing the gcj part. It's stupid to force every user of the package to install gcj even if he is using openjdk.
Comment 13 Mary Ellen Foster 2010-03-16 13:12:48 EDT
I've removed the gcj stuff and explicitly BuildRequire'd openjdk -- trove seems to fail its own tests with gcj (?)

Updated stuff at:
http://www.macs.hw.ac.uk/~mef3/review/gnu-trove.spec
http://www.macs.hw.ac.uk/~mef3/review/gnu-trove-2.1.0-4.fc12.src.rpm

Sorry for the delay
Comment 15 Guido Grazioli 2010-03-17 07:15:02 EDT
Thank you very much; koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2058059

Package APPROVED.
Comment 16 Mary Ellen Foster 2010-03-17 07:20:11 EDT
New Package CVS Request
=======================
Package Name: trove4j
Short Description: High performance collections for Java
Owners: mef
Branches: F-12 F-13
Comment 17 Kevin Fenzi 2010-03-17 14:07:55 EDT
CVS done (by process-cvs-requests.py).
Comment 18 Guido Grazioli 2010-04-15 05:00:38 EDT
Mary, are you putting this one in rawhide anytime soon?
Comment 19 Fedora Update System 2010-04-15 05:27:45 EDT
trove4j-2.1.0-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/trove4j-2.1.0-4.fc13
Comment 20 Fedora Update System 2010-04-15 05:31:51 EDT
trove4j-2.1.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/trove4j-2.1.0-4.fc12
Comment 21 Mary Ellen Foster 2010-04-15 05:34:05 EDT
Sorry about the delay :(
Comment 22 Fedora Update System 2010-04-16 19:44:32 EDT
trove4j-2.1.0-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update trove4j'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/trove4j-2.1.0-4.fc12
Comment 23 Fedora Update System 2010-04-16 19:54:17 EDT
trove4j-2.1.0-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update trove4j'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/trove4j-2.1.0-4.fc13
Comment 24 Fedora Update System 2010-05-05 03:26:11 EDT
trove4j-2.1.0-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2010-05-05 23:39:52 EDT
trove4j-2.1.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.